Package ghidra.program.model.util

# Interface StringPropertyMap

All Superinterfaces:
  `PropertyMap<String>`

All Known Implementing Classes:
  `StringPropertyMapDB`

public interface StringPropertyMap extends PropertyMap<String>
Property manager that deals with properties that are of String type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `add(Address addr, Object value)`
  Add a map-specific value type to the specified address
  `void`
  `add(Address addr, String value)`
  Add a String value at the specified address.
  `String`
  `getString(Address addr)`
  Get the String value at the given address.
  `default Class<String>`
  `getValueClass()`
  Returns property value class.

  ### Methods inherited from interface ghidra.program.model.util.PropertyMap

  `get, getFirstPropertyAddress, getLastPropertyAddress, getName, getNextPropertyAddress, getPreviousPropertyAddress, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getSize, hasProperty, intersects, intersects, moveRange, remove, removeRange`

- ## Method Details

  - ### getValueClass

    default Class<String> getValueClass()
    Description copied from interface: `PropertyMap`
    Returns property value class.
    Specified by:
      `getValueClass` in interface `PropertyMap<String>`
    Returns:
      property value class or null for an unsupported map type

  - ### add

    void add(Address addr, String value)
    Add a String value at the specified address.
    Parameters:
      `addr` - address for the property
      `value` - value of the property
    Throws:
      `TypeMismatchException` - thrown if the property does not have String values.

  - ### getString

    String getString(Address addr)
    Get the String value at the given address.
    Parameters:
      `addr` - the address from where to get the String value
    Returns:
      String or null if property not found at addr.

  - ### add

    default void add(Address addr, Object value)
    Description copied from interface: `PropertyMap`
    Add a map-specific value type to the specified address
    Specified by:
      `add` in interface `PropertyMap<String>`
    Parameters:
      `addr` - property address
      `value` - property value or null (null remove value at address)